# -------------------------------------------------------------------
# Constants
# -------------------------------------------------------------------
FILENAME = "emissions.txt"

# -------------------------------------------------------------------
# Global variables
# -------------------------------------------------------------------
# ===> Initialize countries to an empty list
countries = 

# ===> Initialize name to an empty string
name = 

# ===> Initialize emissions and percentage population to zero valued floats
emissions = 
percentagePopulation =  

# ===> Initialize population to a zero valued integer
population = 

# -------------------------------------------------------------------
# Sub programs
# -------------------------------------------------------------------
# read emission data from file into a list of records
def loadFile(pFilename):
  file = open(pFilename)
  lines = file.read().split("\n")
  for line in lines:
    
    # ===> extract each column from the line read from the file(columns are separated by commas)
    parts = line.
    name = parts[0]
    
    # ===> extract the other columns from the line read from the file (use suitable data types)
    emissions = 
    percentagePopulation = 
    population = 
    
    # create a record from all the data read from the line
    country = [name, emissions, percentagePopulation, population]
    countries.append(country)
  file.close()
  
# display the list of records as a table
def displayTable(pTableWidth):
  print("=" * pTableWidth)
  layout = "|{:^15}|{:^15}|{:^20}|{:^15}|"
  print(layout.format("Country", "Emissions", "% global population", "Population"))
  print("=" * pTableWidth)
  layout = "| {:<14}|{:^15.1}|{:^20.1}|{:>14} |"
  for country in countries:
    
    # ===> Display the data from the data structure in a table layout
    print(                                                          )
  print("=" * pTableWidth)
  
# -------------------------------------------------------------------
# Main program
# -------------------------------------------------------------------
loadFile(FILENAME)
displayTable(70)